mmccormick
Level 3

Windows Server 2022 - FlexNet Inventory Agent

We currently have FNMS 2020 R2 On-Premise and rolled out the inventory agent 16.x. 

Have a couple questions:

1. Is the 16.x version of the agent compatible with Windows Server 2022?

2. If not, what version of the agent is compatible with Windows Server 2022 and can we use this version of the agent with our current 2020 R2 FNMS On-Premise instance?

Labels (1)
4 Replies
mfranz
Level 15

As per the latest compatibility documentation, no agent is officially supported on Windows Server 2022 yet. https://docs.flexera.com/FlexNetManagerSuite2021R1/EN/SysReq/index.html#FNMS_sys_req/RN_sys_req_prer...

However, I have tested the 2021 R1 (v17) agent both on Windows 11 and Server 2022. Inventories are done just fine, but keep in mind that I have not properly installed the agent, just and the ndtrack and did not test all possible features, really just a simple one time inventory.

As pretty much all the data is taken from pretty static underlying technologies (Registry, WMI, file system) and these have not changed in a significant way, most agent versions should still work on newer Windows versions.

Softline Group is Europe's leading independent expert in Software Asset Management.
kclausen
Flexera
Flexera

For the current ITAM Agent (FNMS Cloud), Agent Compatibility lists both Windows 11 and Windows Server 2022.

https://docs.flexera.com/fnms/EN/SysReq/index.html#FNMS_sys_req/RN_sys_req_prereq.html

 

As far as I know, all compatibility testing passed without any required code changes to the agent.  Older versions of the agent should therefore work, but they have not been officially tested by Flexera.  For FNMS-OP, official testing will take place for the FNMS 2022 R1 agent.

mmccormick
Level 3

Thank you @mfranz & @kclausen for your responses.

Just to be clear, I could use our current 2020 R2 (v16) agent for Windows Server 2022 (noted that it has not been officially tested by Flexera). 

Or, can I use the latest agent (v17.3) with FNMS 2020 R2-OP?

0 Kudos

Hi @mmccormick 

From our experience I would recommend you running the 2021R1 agent, it works without any problem what I can see in our environment for WinSrv2022. It also works together with your 2020R2 FNMS installation.

The reasons why 2021 R1 from my side is that the older agents is deprecated and we actually installed the 2021 R1 agent packages in our 2020R2 application server before upgrade.

Another reason is that if you are using the agent auto-upgrade feature I'm experience that it works quite well if you follow the ordinary releases like 2020R2, 2021R1. If you deploy a cloud release in between like 2020R2.2 we have noted that the auto-upgrade leaves uninstall registry keys on the devices for the older agent.

2021R1 also bypasses issues with destructive uninstallations depending on your settings and Docker unexpected termination alerts

0 Kudos